﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Datron 1071: (1 Year) VER IEEE /4805
DATE:                  2002-09-16
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       70
NUMBER OF LINES:       2373
CONFIGURATION:         Datron 4805 (KVR,ACV,DCV,CUR,RES)
=============================================================================
#
#  Source:          Users Handbook
#                   Part Number 850040
#                   Issue 11 (OCT.1986)
# 
#                   Portocal II
#                   Verify to 365 day
#                   Datron 1071
#                   Version 1.10
#                   Pre Adjustment Procedure
# 
#  Compatibility:   MET/CAL 6.11A or later
# 
#  Additional equipment Required:
#                   None
# 
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
# 
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
# 
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
# 
#  Registers Used
#                M[1]   = Average Readings Counter (Adjustment)
#                M[2]   = Readings to Discard   (Adjustment)
#                M[3]   = Sum of Averages   (Adjustment)
#                M[4]   = Average of Readings (Adjustment)
#                M[6]   = First Delimited Value to Identify Option 12
#                M[7]   = Second Delimited Value to Identify Option 12
#                M[10]  = Number of Readings Reqd (Adjustment)
#                M[101] = Adjustment Retry Counter
#                M[102] = Invalid Measurement Counter
#                M[103] = Units Multiplier
#                M[104] = Tolerance
#                M[105] = Tight Tolerance % Multiplier
#                M[106] = Delay Time Remain Counter
#                M[107] = Tight Limit Calculated
#                M[255] = Delay Time Total
#                S[2]   = Range String
#                S[10]  = DCV Function Selected
#                S[11]  = ACV Function Selectied
#                S[12]  = Resistance Function Selected
#                S[13]  = DCI Function Selected
#                S[14]  = ACI Function Selected
#                S[20]  = DCV Function Option Fitted
#                S[21]  = ACV Function Option Fitted
#                S[22]  = Resistance Function Option Fitted
#                S[23]  = DCI Function Option Fitted
#                S[24]  = ACI Function Option Fitted
#                S[25]  = Message to explain that Option 12 is not supported.
#                S[32]  = Delay Time Message
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Metcal Initial Setup
  1.001  IEEE         [SRQ OFF]

  1.002  ASK-                        P                            F        V
  1.003  ASK+           K

  1.004  HEAD         Personnel Safety
  1.005  DISP         [32]Dangerous voltages may be present during
  1.005  DISP         [32]this process, always check it is safe to do so
  1.005  DISP         [32]before touching any electrical connections.

  1.006  PIC          1081back
  1.007  DISP         Turn on the UUT and allow a minimum of 2 hours
  1.007  DISP         Warm Up period.
  1.008  PIC          1081_dis

# Metcal Initial Setup
  1.009  IEEE         [SRQ OFF]

# Initial UUT Setup
  1.010  IEEE         O0
  1.011  IEEE         Q1
  1.012  IEEE         T2
  1.013  IEEE         W0
  1.014  IEEE         I0
  1.015  PIC          1081term
  1.016  IEEE         F3R6C0A2


#******************* IDENTIFY OPTIONS ******************************

  1.017  MATH         S[20]="DC Voltage (Standard)"

  1.018  HEAD         Identify Options Fitted

# AC Voltage
  1.019  IEEE         F2[D1000]
  1.020  IEEE         [SPL80]
  1.021  JMPL         ACV_No_Opt  MEM == 80
  1.022  IEEE         F2R3C1A2
  1.023  IEEE         [d10000]
  1.024  4805         1V                           500H                 S  2W
  1.025  IEEE         [d5000]
  1.026  IEEE         [TRIG]
  1.027  IEEE         [SRQ15000,192]
  1.028  IEEE         [I$]
  1.029  MATH         M[6] =  FIND(MEM2, ".", 1)
  1.030  MATH         M[7] =  FIND(MEM2, "E", 1)
  1.031  MATH         MEM= M[7] - M[6]
  1.032  JMPL         ACV_12 MEM == 7
  1.033  MATH         S[21]="AC Voltage (Option 10)"
  1.034  MATH         S[25]=""
  1.035  JMPL         RES_OPT

  1.036  LABEL        ACV_12
  1.037  MATH         S[21]="AC Voltage (Option 12)"
  1.038  MATH         S[25]="THIS PROCEDURE DOES NOT SUPPORT (OPTION 12)"
  1.039  DISP         The UUT to be tested has the High Performance
  1.039  DISP         true RMS AC Converter (Option 12) fitted.
  1.039  DISP
  1.039  DISP         This procedure only supports ACV (Option 10).
  1.039  DISP
  1.039  DISP         If you wish to continue, this procedure can carry
  1.039  DISP         out the Performance Verification on DC Volts &
  1.039  DISP         Resistance only (if fitted).
  1.040  JMPL         RES_OPT

  1.041  LABEL        ACV_No_Opt
  1.042  MATH         S[25]=""
  1.043  MATH         S[21]=""

# Resistance
  1.044  LABEL        RES_OPT
  1.045  MATH         S[22]="Resistance (Option 20)"
  1.046  IEEE         F1[D1000]
  1.047  IEEE         [SPL80]
  1.048  JMPL         DCI_OPT MEM != 80
  1.049  MATH         S[22]=""

  1.050  LABEL        DCI_OPT
  1.051  MATH         S[23]="DC Current (Option 30)"
  1.052  IEEE         F5[D1000]
  1.053  IEEE         [SPL80]
  1.054  JMPL         DCI_No_Opt MEM == 80

#Lets identify whether the UUT is post or pre software 17
  1.055  LABEL        Identify
  1.056  HEAD         Identify Software
  1.057  MATH         S[2] = "100" ; S[3]  = "mA"
  1.058  MATH         M[103] = 1e-3  ; M[108] = 1
  1.059  IEEE         F5R5C1A0
  1.060  M4805  RNGLK 100mA
  1.061  4805         100mA                                             S  2W
  1.062  IEEE         [@4805]G1=
  1.063  IEEE         [d5000]
  1.064  CALL         Sub Datron 10xx Take Reading IEEE

  1.065  JMPL         Pre_Software_17  MEM > 1E6
  1.066  JMPL         _Software_17  MEM > 70
  1.067  LABEL        Check_Connections
  1.068  DISP         Check the I+ &  I- Connections as these
  1.068  DISP         must be connected to the UUT for the software
  1.068  DISP         identification to be carried out correctly.
  1.069  JMPL         Identify

  1.070  LABEL        _Software_17
  1.071  JMPL         Check_Connections  MEM > 200
  1.072  MATH         S[4] = "> 17"
  1.073  JMPL         contd
  1.074  LABEL        Pre_Software_17
  1.075  MATH         S[4] = "< 17"

  1.076  LABEL        contd
  1.077  HEAD         Software Version [S4] [D2000]
  1.078  RSLT         =
  1.079  JMPL         ACI_OPT

  1.080  LABEL        DCI_No_Opt
  1.081  MATH         S[4] = "N/A"
  1.082  MATH         S[23]=""


  1.083  LABEL        ACI_OPT
  1.084  MATH         S[24]="AC Current (Option 30)"
  1.085  IEEE         F4[D1000]
  1.086  IEEE         [SPL80]
  1.087  JMPL         DISP_OPT MEM != 80
  1.088  MATH         S[24]=""

  1.089  LABEL        DISP_OPT
  1.090  DISP         1071 With Options Fitted:
  1.090  DISP         [32]                        [S21]
  1.090  DISP         [32]                        [S22]
  1.090  DISP         [32]                        [S23]
  1.090  DISP         [32]                        [S24]
  1.090  DISP         Software Version [S4]
  1.090  DISP         [32]
  1.090  DISP         [S25]


  1.091  RSLT         =1071 With Options Fitted:
  1.092  RSLT         =[32]              [S21]
  1.093  RSLT         =[32]              [S22]
  1.094  RSLT         =[32]              [S23]
  1.095  RSLT         =[32]              [S24]
  1.096  RSLT         =
  1.097  RSLT         =Software Version [S4]
  1.098  RSLT         =
  1.099  RSLT         =[S25]


#***************** FUNCTION SELECTION **********************

#Allow the operator to choose the function to run. All functions are
#preloaded they are cleared if necessary by the operator selection.
  1.100  LABEL        Begin

#Load Registers with Options Fitted
  1.101  MATH         S[10] = S[20]
  1.102  MATH         S[11] = S[21]
  1.103  MATH         S[12] = S[22]
  1.104  MATH         S[13] = S[23]
  1.105  MATH         S[14] = S[24]

  1.106  HEAD         Function Selection
  1.107  OPBR         [32] Do you wish to run the whole procedure?
  1.108  JMPL         Run_Some MEM1 ==-1
  1.109  JMPL         Finish_Selection

  1.110  LABEL        Run_Some
  1.111  OPBR         Do you want to run the [S10] Performance
  1.111  OPBR         Verification tests?
  1.112  JMPL         ACV MEM1==1
  1.113  MATH         S[10] = ""

  1.114  LABEL        ACV
  1.115  JMPL         RES CMPI ("",S[11]) == 1
  1.116  JMPL         RES CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.117  OPBR         Do you want to run the [S11]
  1.117  OPBR         Performance Verification tests?
  1.118  JMPL         RES MEM1==1
  1.119  MATH         S[11] = ""

  1.120  LABEL        RES
  1.121  JMPL         DCI CMPI ("",S[12]) == 1
  1.122  OPBR         Do you want to run the [S12]
  1.122  OPBR         Performance Verification tests?
  1.123  JMPL         DCI MEM1==1
  1.124  MATH         S[12] = ""

  1.125  LABEL        DCI
  1.126  JMPL         ACI CMPI ("",S[13]) == 1
  1.127  JMPL         NO_DCI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.128  OPBR         Do you want to run the [S13]
  1.128  OPBR         Performance Verification tests?
  1.129  JMPL         ACI MEM1==1
  1.130  LABEL        NO_DCI
  1.131  MATH         S[13] = ""

  1.132  LABEL        ACI
  1.133  JMPL         Finish_Selection CMPI ("",S[14]) == 1
  1.134  JMPL         NO_ACI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.135  OPBR         Do you want to run the [S14]
  1.135  OPBR         Performance Verification tests?
  1.136  JMPL         Finish_Selection  MEM1==1
  1.137  LABEL        NO_ACI
  1.138  MATH         S[14] = ""

#Display Selections Chosen
  1.139  LABEL        Finish_Selection

#Erase Option_12s Register
  1.140  JMPL         CONT_IF_10 CMPI ("AC Voltage (Option 10)",S[11]) == 1
  1.141  MATH         S[11] =""

  1.142  LABEL        CONT_IF_10
  1.143  OPBR         [32]Performance Tests Chosen:
  1.143  OPBR         [32]                 [S10]
  1.143  OPBR         [32]                 [S11]
  1.143  OPBR         [32]                 [S12]
  1.143  OPBR         [32]                 [S13]
  1.143  OPBR         [32]                 [S14]
  1.143  OPBR
  1.143  OPBR         (YES to continue/ NO to reselect)
  1.144  JMPL         Begin MEM1==-1

  1.145  4805         *                                                 S

#**************************** DC VOLTAGE *******************************
#***********************************************************************

  1.146  JMPL         SKIP_DCV  CMPI ("DC Voltage (Standard)",S[10]) != 1

  1.147  HEAD         {Function: DC Voltage}
  1.148  TARGET       -p

# Measurement Setup
  1.149  VSET         NTHROW = 1 NMEAS = 5


# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
  1.150  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  1.151  MATH         M[103] = 1e-3  ; M[108] = 1


# UUT Setup to 100mV Range
  1.152  RSLT         =
  1.153  RSLT         =100 mV Range
  1.154  IEEE         F3R2C1A2

# ********************* + 0 mV Output ********************************

# Setup Registers      Delay Time      Message
  1.155  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
  1.156  MATH         M[104] = 0.002

# 48xx Setup
  1.157  M4805  RNGLK 100mV
  1.158  4805         0mV                                               S  2W
  1.159  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  1.160  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  1.161  MATH         M[105]  = 25
  1.162  CALL         Sub Datron 10xx Input Zero IEEE
  1.163  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  1.164  IEEE         [D2000]

# Take Reading
  1.165  TARGET       -m
  1.166  CALL         Sub Datron 10xx Take Reading IEEE
  1.167  MEMCX        +0.0000mV      M104U         


# ********************* +100 mV Output ********************************

# Setup Registers      Delay Time
  2.001  MATH         M[255] = 5

# Set Tolerance
  2.002  MATH         M[104] = 0.0036

# 48xx Setup
  2.003  M4805  RNGLK 100mV
  2.004  4805         100mV                                             S  2W
  2.005  CALL         Sub Wait

# Take Reading
  2.006  TARGET       -m
  2.007  CALL         Sub Datron 10xx Take Reading IEEE
  2.008  MEMCX        100.00000mV    M104U

# ********************* - 0 mV Output ********************************

# Setup Registers      Delay Time
  3.001  MATH         M[255] = 5

# Set Tolerance
  3.002  MATH         M[104] = 0.002

# 48xx Setup
  3.003  M4805  RNGLK 100mV
  3.004  4805         0mV                                         -Z    S  2W
  3.005  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  3.006  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  3.007  MATH         M[105]  = 25
  3.008  CALL         Sub Datron 10xx Input Zero IEEE
  3.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  3.010  IEEE         [D2000]

# Take Reading
  3.011  TARGET       -m
  3.012  CALL         Sub Datron 10xx Take Reading IEEE
  3.013  MEMCX        -0.0000mV      M104U         

# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
  4.001  MATH         M[255] = 5

# Set Tolerance
  4.002  MATH         M[104] = 0.0036

# 48xx Setup
  4.003  M4805  RNGLK 100mV
  4.004  4805         -100mV                                            S  2W
  4.005  CALL         Sub Wait

# Take Reading
  4.006  TARGET       -m
  4.007  CALL         Sub Datron 10xx Take Reading IEEE
  4.008  MEMCX        -100.00000mV   M104U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
  5.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  5.002  MATH         M[103] = 1

# UUT Setup to 1V Range
  5.003  RSLT         =
  5.004  RSLT         =1V Range
  5.005  IEEE         F3R3C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  5.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  5.007  MATH         M[104] = 0.00002

# 48xx Setup
  5.008  M4805  RNGLK 1V
  5.009  4805         0V                                                S  2W
  5.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  5.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  5.012  MATH         M[105]  = 25
  5.013  CALL         Sub Datron 10xx Input Zero IEEE
  5.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  5.015  IEEE         [D2000]

# Take Reading
  5.016  TARGET       -m
  5.017  CALL         Sub Datron 10xx Take Reading IEEE
  5.018  MEMCX        +0.000000V     M104U         

# ********************* +1 V Output ********************************

# Setup Registers      Delay Time
  6.001  MATH         M[255] = 5

# Set Tolerance
  6.002  MATH         M[104] = 0.000024

# 48xx Setup
  6.003  M4805  RNGLK 1V
  6.004  4805         1V                                                S  2W
  6.005  CALL         Sub Wait

# Take Reading
  6.006  TARGET       -m
  6.007  CALL         Sub Datron 10xx Take Reading IEEE
  6.008  MEMCX        1.0000000V     M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
  7.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  7.002  MATH         M[104] = 0.00002

# 48xx Setup
  7.003  M4805  RNGLK 1V
  7.004  4805         0V                                          -Z    S  2W
  7.005  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  7.006  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  7.007  MATH         M[105]  = 25
  7.008  CALL         Sub Datron 10xx Input Zero IEEE
  7.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  7.010  IEEE         [D2000]

# Take Reading
  7.011  TARGET       -m
  7.012  CALL         Sub Datron 10xx Take Reading IEEE
  7.013  MEMCX        -0.000000V     M104U         

# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
  8.001  MATH         M[255] = 5

# Set Tolerance
  8.002  MATH         M[104] = 0.000024

# 48xx Setup
  8.003  M4805  RNGLK 1V
  8.004  4805         -1V                                               S  2W
  8.005  CALL         Sub Wait

# Take Reading
  8.006  TARGET       -m
  8.007  CALL         Sub Datron 10xx Take Reading IEEE
  8.008  MEMCX        -1.0000000V    M104U


# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
  9.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  9.002  MATH         M[103] = 1

# UUT Setup to 10V Range
  9.003  RSLT         =
  9.004  RSLT         =10V Range
  9.005  IEEE         F3R4C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  9.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  9.007  MATH         M[104] = 0.0002

# 48xx Setup
  9.008  M4805  RNGLK 10V
  9.009  4805         0V                                                S  2W
  9.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  9.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  9.012  MATH         M[105]  = 25
  9.013  CALL         Sub Datron 10xx Input Zero IEEE
  9.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  9.015  IEEE         [D2000]

# Take Reading
  9.016  TARGET       -m
  9.017  CALL         Sub Datron 10xx Take Reading IEEE
  9.018  MEMCX        +0.00000V      M104U         

# ********************* +10 V Output ********************************

# Setup Registers      Delay Time
 10.001  MATH         M[255] = 5

# Set Tolerance
 10.002  MATH         M[104] = 0.00024

# 48xx Setup
 10.003  M4805  RNGLK 10V
 10.004  4805         10V                                               S  2W
 10.005  CALL         Sub Wait

# Take Reading
 10.006  TARGET       -m
 10.007  CALL         Sub Datron 10xx Take Reading IEEE
 10.008  MEMCX        10.000000V     M104U


# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 11.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 11.002  MATH         M[104] = 0.0002

# 48xx Setup
 11.003  M4805  RNGLK 10V
 11.004  4805         0V                                          -Z    S  2W
 11.005  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 11.006  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 11.007  MATH         M[105]  = 25
 11.008  CALL         Sub Datron 10xx Input Zero IEEE
 11.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 11.010  IEEE         [D2000]

# Take Reading
 11.011  TARGET       -m
 11.012  CALL         Sub Datron 10xx Take Reading IEEE
 11.013  MEMCX        -0.00000V      M104U         

# ********************* -10 V Output ********************************

# Setup Registers      Delay Time
 12.001  MATH         M[255] = 5

# Set Tolerance
 12.002  MATH         M[104] = 0.00024

# 48xx Setup
 12.003  M4805  RNGLK 10V
 12.004  4805         -10V                                              S  2W
 12.005  CALL         Sub Wait

# Take Reading
 12.006  TARGET       -m
 12.007  CALL         Sub Datron 10xx Take Reading IEEE
 12.008  MEMCX        -10.000000V    M104U


# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 13.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 13.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 13.003  RSLT         =
 13.004  RSLT         =100 V Range
 13.005  IEEE         F3R5C1A2


# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 13.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 13.007  MATH         M[104] = 0.002

# 48xx Setup
 13.008  M4805  RNGLK 100V
 13.009  4805         0V                                                S  2W
 13.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 13.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 13.012  MATH         M[105]  = 25
 13.013  CALL         Sub Datron 10xx Input Zero IEEE
 13.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 13.015  IEEE         [D2000]

# Take Reading
 13.016  TARGET       -m
 13.017  CALL         Sub Datron 10xx Take Reading IEEE
 13.018  MEMCX        +0.0000V       M104U         

# ********************* +100 V Output ********************************

# Setup Registers      Delay Time
 14.001  MATH         M[255] = 5

# Set Tolerance
 14.002  MATH         M[104] = 0.0034

# 48xx Setup
 14.003  M4805  RNGLK 100V
 14.004  4805         100V                                              S  2W
 14.005  CALL         Sub Wait

# Take Reading
 14.006  TARGET       -m
 14.007  CALL         Sub Datron 10xx Take Reading IEEE
 14.008  MEMCX        100.00000V     M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 15.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 15.002  MATH         M[104] = 0.002

# 48xx Setup
 15.003  M4805  RNGLK 100V
 15.004  4805         0V                                          -Z    S  2W
 15.005  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 15.006  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 15.007  MATH         M[105]  = 25
 15.008  CALL         Sub Datron 10xx Input Zero IEEE
 15.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 15.010  IEEE         [D2000]

# Take Reading
 15.011  TARGET       -m
 15.012  CALL         Sub Datron 10xx Take Reading IEEE
 15.013  MEMCX        -0.0000V       M104U         

# ********************* -100 V Output ********************************

# Setup Registers      Delay Time
 16.001  MATH         M[255] = 5

# Set Tolerance
 16.002  MATH         M[104] = 0.0034

# 48xx Setup
 16.003  M4805  RNGLK 100V
 16.004  4805         -100V                                             S  2W
 16.005  CALL         Sub Wait

# Take Reading
 16.006  TARGET       -m
 16.007  CALL         Sub Datron 10xx Take Reading IEEE
 16.008  MEMCX        -100.00000V    M104U



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 17.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 17.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 17.003  RSLT         =
 17.004  RSLT         =1000V Range
 17.005  IEEE         F3R6C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 17.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 17.007  MATH         M[104] = 0.02

# 48xx Setup
 17.008  M4805  RNGLK 1000V
 17.009  4805         0V                                                S  2W
 17.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 17.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 17.012  MATH         M[105]  = 25
 17.013  CALL         Sub Datron 10xx Input Zero IEEE
 17.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 17.015  IEEE         [D2000]

# Take Reading
 17.016  TARGET       -m
 17.017  CALL         Sub Datron 10xx Take Reading IEEE
 17.018  MEMCX        +0.000V        M104U         

# ********************* +1000 V Output ********************************

# Setup Registers      Delay Time
 18.001  MATH         M[255] = 5

# Set Tolerance
 18.002  MATH         M[104] = 0.034

# 48xx Setup
 18.003  M4805  RNGLK 1000V
 18.004  4805         1000V                                             S  2W
 18.005  CALL         Sub Wait

# Take Reading
 18.006  TARGET       -m
 18.007  CALL         Sub Datron 10xx Take Reading IEEE
 18.008  MEMCX        1000.0000V     M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 19.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 19.002  MATH         M[104] = 0.02

# 48xx Setup
 19.003  M4805  RNGLK 1000V
 19.004  4805         0V                                          -Z    S  2W
 19.005  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 19.006  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 19.007  MATH         M[105]  = 25
 19.008  CALL         Sub Datron 10xx Input Zero IEEE
 19.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 19.010  IEEE         [D2000]

# Take Reading
 19.011  TARGET       -m
 19.012  CALL         Sub Datron 10xx Take Reading IEEE
 19.013  MEMCX        -0.000V        M104U         

# ********************* -1000 V Output ********************************

# Setup Registers      Delay Time
 20.001  MATH         M[255] = 5

# Set Tolerance
 20.002  MATH         M[104] = 0.034

# 48xx Setup
 20.003  M4805  RNGLK 1000V
 20.004  4805         -1000V                                            S  2W
 20.005  CALL         Sub Wait

# Take Reading
 20.006  TARGET       -m
 20.007  CALL         Sub Datron 10xx Take Reading IEEE
 20.008  MEMCX        -1000.0000V    M104U


# Rest After High Voltage
 21.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 21.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 21.003  CALL         Sub Wait

 21.004  LABEL        SKIP_DCV
#**************************** AC VOLTAGE *******************************
#***********************************************************************
 21.005  JMPL         SKIP_ACV  CMPI ("AC Voltage (Option 10)",S[11]) != 1
 21.006  RSLT         =
 21.007  HEAD         {Function: AC Voltage}
 21.008  TARGET       -p

# Measurement Setup
 21.009  VSET         NTHROW = 1 NMEAS = 5

# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
 21.010  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 21.011  MATH         M[103] = 1e-3   ; M[108] = 1

# UUT Setup to 100mV Range
 21.012  RSLT         =
 21.013  RSLT         =100 mV Range
 21.014  IEEE         F2R2C1A0

# ********************* 100 mV @ 500Hz Output ********************************

# Setup Registers      Delay Time
 21.015  MATH         M[255] = 5    ; S[32] = "Settling Time"

# Set Tolerance
 21.016  MATH         M[104] = 0.16

# 48xx Setup
 21.017  M4805  RNGLK 100mV
 21.018  4805         100mV                        500H                 S  2W
 21.019  CALL         Sub Wait

# Take Reading
 21.020  TARGET       -m
 21.021  CALL         Sub Datron 10xx Take Reading IEEE
 21.022  MEMCX        100.000mV      M104U         500H

# ********************* 100 mV @ 40 kHz Output *****************************

# Setup Registers      Delay Time
 22.001  MATH         M[255] = 5

# Set Tolerance
 22.002  MATH         M[104] = 0.4

# 48xx Setup
 22.003  M4805  RNGLK 100mV
 22.004  4805         100mV                        40kH                 S  2W
 22.005  CALL         Sub Wait

# Take Reading
 22.006  TARGET       -m
 22.007  CALL         Sub Datron 10xx Take Reading IEEE
 22.008  MEMCX        100.000mV      M104U         40kH



# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 23.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 23.002  MATH         M[103] = 1

# UUT Setup to 1V Range
 23.003  RSLT         =
 23.004  RSLT         =1V Range
 23.005  IEEE         F2R3C1A0

# ********************* 1V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 23.006  MATH         M[255] = 5

# Set Tolerance
 23.007  MATH         M[104] = 0.0008

# 48xx Setup
 23.008  M4805  RNGLK 1V
 23.009  4805         1V                           500H                 S  2W
 23.010  CALL         Sub Wait

# Take Reading
 23.011  TARGET       -m
 23.012  CALL         Sub Datron 10xx Take Reading IEEE
 23.013  MEMCX        1.00000V       M104U         500H

# ********************* 1V @ 40 kHz Output ********************************

# Setup Registers      Delay Time
 24.001  MATH         M[255] = 5

# Set Tolerance
 24.002  MATH         M[104] = 0.002

# 48xx Setup
 24.003  M4805  RNGLK 1V
 24.004  4805         1V                           40kH                 S  2W
 24.005  CALL         Sub Wait

# Take Reading
 24.006  TARGET       -m
 24.007  CALL         Sub Datron 10xx Take Reading IEEE
 24.008  MEMCX        1.00000V       M104U         40kH



# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 25.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 25.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 25.003  RSLT         =
 25.004  RSLT         =10V Range
 25.005  IEEE         F2R4C1A0

# ********************* 10V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 25.006  MATH         M[255] = 5

# Set Tolerance
 25.007  MATH         M[104] = 0.008

# 48xx Setup
 25.008  M4805  RNGLK 10V
 25.009  4805         10V                          500H                 S  2W
 25.010  CALL         Sub Wait

# Take Reading
 25.011  TARGET       -m
 25.012  CALL         Sub Datron 10xx Take Reading IEEE
 25.013  MEMCX        10.0000V       M104U         500H

# ********************* 10V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 26.001  MATH         M[255] = 5

# Set Tolerance
 26.002  MATH         M[104] = 0.02

# 48xx Setup
 26.003  M4805  RNGLK 10V
 26.004  4805         10V                          40kH                 S  2W
 26.005  CALL         Sub Wait

# Take Reading
 26.006  TARGET       -m
 26.007  CALL         Sub Datron 10xx Take Reading IEEE
 26.008  MEMCX        10.0000V       M104U         40kH



# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 27.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 27.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 27.003  RSLT         =
 27.004  RSLT         =100 V Range
 27.005  IEEE         F2R5C1A0

# ********************* 100V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 27.006  MATH         M[255] = 5

# Set Tolerance
 27.007  MATH         M[104] = 0.08

# 48xx Setup
 27.008  M4805  RNGLK 100V
 27.009  4805         100V                         500H                 S  2W
 27.010  CALL         Sub Wait

# Take Reading
 27.011  TARGET       -m
 27.012  CALL         Sub Datron 10xx Take Reading IEEE
 27.013  MEMCX        100.000V       M104U         500H

# ********************* 100V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 28.001  MATH         M[255] = 5

# Set Tolerance
 28.002  MATH         M[104] = 0.2

# 48xx Setup
 28.003  M4805  RNGLK 100V
 28.004  4805         100V                         40kH                 S  2W
 28.005  CALL         Sub Wait

# Take Reading
 28.006  TARGET       -m
 28.007  CALL         Sub Datron 10xx Take Reading IEEE
 28.008  MEMCX        100.000V       M104U         40kH



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 29.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 29.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 29.003  RSLT         =
 29.004  RSLT         =1000 V Range
 29.005  IEEE         F2R6C1A0

# ********************* 1000V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 29.006  MATH         M[255] = 5

# Set Tolerance
 29.007  MATH         M[104] = 1.6

# 48xx Setup
 29.008  M4805  RNGLK 1000V
 29.009  4805         1000V                        500H                 S  2W
 29.010  CALL         Sub Wait

# Take Reading
 29.011  TARGET       -m
 29.012  CALL         Sub Datron 10xx Take Reading IEEE
 29.013  MEMCX        1000.00V       M104U         500H

# ********************* 1000V @ 20kHz Output ********************************

# Setup Registers      Delay Time
 30.001  MATH         M[255] = 5

# Set Tolerance
 30.002  MATH         M[104] = 4.00

# 48xx Setup
 30.003  M4805  RNGLK 1000V
 30.004  4805         1000V                        20kH                 S  2W
 30.005  CALL         Sub Wait

# Take Reading
 30.006  TARGET       -m
 30.007  CALL         Sub Datron 10xx Take Reading IEEE
 30.008  MEMCX        1000.00V       M104U         20kH


# Rest After High Voltage
 31.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 31.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 31.003  CALL         Sub Wait

 31.004  LABEL        SKIP_ACV

#**************************** DC CURRENT *******************************
#***********************************************************************
 31.005  JMPL         SKIP_DCI  CMPI ("DC Current (Option 30)",S[13]) != 1
 31.006  JMPL         SKIP_FMT_DCI  CMPI ("> 17",S[4]) == 1
 31.007  MATH         M[108] = 1E6
 31.008  LABEL        SKIP_FMT_DCI
 31.009  RSLT         =
 31.010  HEAD         {Function: DC Current}
 31.011  TARGET       -p


# Measurement Setup
 31.012  VSET         NTHROW = 1 NMEAS = 5


# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 31.013  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 31.014  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 31.015  RSLT         =
 31.016  RSLT         =100 uA Range
 31.017  IEEE         F5R2C1A0

# ********************* + 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 31.018  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 31.019  MATH         M[104] = 0.002

# 48xx Setup
 31.020  M4805  RNGLK 100uA
 31.021  4805         0uA                                               S  2W
 31.022  IEEE         [@4805]G1=

 31.023  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 31.024  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 31.025  MATH         M[105]  = 25
 31.026  CALL         Sub Datron 10xx Input Zero IEEE
 31.027  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 31.028  IEEE         [D2000]

# Take Reading
 31.029  TARGET       -m
 31.030  CALL         Sub Datron 10xx Take Reading IEEE
 31.031  MEMCX        +0.000uA       M104U         


# ********************* +100 uA Output ********************************

# Setup Registers      Delay Time
 32.001  MATH         M[255] = 5

# Set Tolerance
 32.002  MATH         M[104] = 0.019

# 48xx Setup
 32.003  M4805  RNGLK 100uA
 32.004  4805         100uA                                             S  2W
 32.005  IEEE         [@4805]G1=
 32.006  CALL         Sub Wait

# Take Reading
 32.007  TARGET       -m
 32.008  CALL         Sub Datron 10xx Take Reading IEEE
 32.009  MEMCX        100.000uA      M104U

# ********************* - 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 33.001  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 33.002  MATH         M[104] = 0.002

# 48xx Setup
 33.003  M4805  RNGLK 100uA
 33.004  4805         0uA                                         -Z    S  2W
 33.005  IEEE         [@4805]G1=
 33.006  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 33.007  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 33.008  MATH         M[105]  = 25
 33.009  CALL         Sub Datron 10xx Input Zero IEEE
 33.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 33.011  IEEE         [D2000]

# Take Reading
 33.012  TARGET       -m
 33.013  CALL         Sub Datron 10xx Take Reading IEEE
 33.014  MEMCX        -0.000uA       M104U         


# ********************* -100 uA Output ********************************

# Setup Registers      Delay Time
 34.001  MATH         M[255] = 5

# Set Tolerance
 34.002  MATH         M[104] = 0.019

# 48xx Setup
 34.003  M4805  RNGLK 100uA
 34.004  4805         -100uA                                            S  2W
 34.005  IEEE         [@4805]G1=
 34.006  CALL         Sub Wait

# Take Reading
 34.007  TARGET       -m
 34.008  CALL         Sub Datron 10xx Take Reading IEEE
 34.009  MEMCX        -100.000uA     M104U



# ***************** 1mA RANGE ****************

# Set String Registers:        Range          Units
 35.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 35.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 35.003  RSLT         =
 35.004  RSLT         =1mA Range
 35.005  IEEE         F5R3C1A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 35.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 35.007  MATH         M[104] = 0.00002

# 48xx Setup
 35.008  M4805  RNGLK 1mA
 35.009  4805         0mA                                               S  2W
 35.010  IEEE         [@4805]G1=
 35.011  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 35.012  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 35.013  MATH         M[105]  = 25
 35.014  CALL         Sub Datron 10xx Input Zero IEEE
 35.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 35.016  IEEE         [D2000]

# Take Reading
 35.017  TARGET       -m
 35.018  CALL         Sub Datron 10xx Take Reading IEEE
 35.019  MEMCX        +0.00000mA     M104U         


# ********************* +1mA Output ********************************

# Setup Registers      Delay Time
 36.001  MATH         M[255] = 5

# Set Tolerance
 36.002  MATH         M[104] = 0.00019

# 48xx Setup
 36.003  M4805  RNGLK 1mA
 36.004  4805         1mA                                               S  2W
 36.005  IEEE         [@4805]G1=
 36.006  CALL         Sub Wait


# Take Reading
 36.007  TARGET       -m
 36.008  CALL         Sub Datron 10xx Take Reading IEEE
 36.009  MEMCX        1.00000mA      M104U

# ********************* - 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 37.001  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 37.002  MATH         M[104] = 0.00002

# 48xx Setup
 37.003  M4805  RNGLK 1mA
 37.004  4805         0mA                                         -Z    S  2W
 37.005  IEEE         [@4805]G1=
 37.006  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 37.007  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 37.008  MATH         M[105]  = 25
 37.009  CALL         Sub Datron 10xx Input Zero IEEE
 37.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 37.011  IEEE         [D2000]

# Take Reading
 37.012  TARGET       -m
 37.013  CALL         Sub Datron 10xx Take Reading IEEE
 37.014  MEMCX        -0.00000mA     M104U         


# ********************* -1mA Output ********************************

# Setup Registers      Delay Time
 38.001  MATH         M[255] = 5

# Set Tolerance
 38.002  MATH         M[104] = 0.00019

# 48xx Setup
 38.003  M4805  RNGLK 1mA
 38.004  4805         -1mA                                              S  2W
 38.005  IEEE         [@4805]G1=
 38.006  CALL         Sub Wait

# Take Reading
 38.007  TARGET       -m
 38.008  CALL         Sub Datron 10xx Take Reading IEEE
 38.009  MEMCX        -1.00000mA     M104U


# ***************** 10mA RANGE ****************

# Set String Registers:        Range          Units
 39.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 39.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 39.003  RSLT         =
 39.004  RSLT         =10 mA Range
 39.005  IEEE         F5R4C1A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 39.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 39.007  MATH         M[104] = 0.0002

# 48xx Setup
 39.008  M4805  RNGLK 10mA
 39.009  4805         0mA                                               S  2W
 39.010  IEEE         [@4805]G1=
 39.011  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 39.012  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 39.013  MATH         M[105]  = 25
 39.014  CALL         Sub Datron 10xx Input Zero IEEE
 39.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 39.016  IEEE         [D2000]

# Take Reading
 39.017  TARGET       -m
 39.018  CALL         Sub Datron 10xx Take Reading IEEE
 39.019  MEMCX        +0.0000mA      M104U         


# ********************* +10mA Output ********************************

# Setup Registers      Delay Time
 40.001  MATH         M[255] = 5

# Set Tolerance
 40.002  MATH         M[104] = 0.0019

# 48xx Setup
 40.003  M4805  RNGLK 10mA
 40.004  4805         10mA                                              S  2W
 40.005  IEEE         [@4805]G1=
 40.006  CALL         Sub Wait

# Take Reading
 40.007  TARGET       -m
 40.008  CALL         Sub Datron 10xx Take Reading IEEE
 40.009  MEMCX        10.0000mA      M104U

# ********************* - 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 41.001  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 41.002  MATH         M[104] = 0.0002

# 48xx Setup
 41.003  M4805  RNGLK 10mA
 41.004  4805         0mA                                         -Z    S  2W
 41.005  IEEE         [@4805]G1=
 41.006  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 41.007  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 41.008  MATH         M[105]  = 25
 41.009  CALL         Sub Datron 10xx Input Zero IEEE
 41.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 41.011  IEEE         [D2000]

# Take Reading
 41.012  TARGET       -m
 41.013  CALL         Sub Datron 10xx Take Reading IEEE
 41.014  MEMCX        -0.0000mA      M104U         


# ********************* -10mA Output ********************************

# Setup Registers      Delay Time
 42.001  MATH         M[255] = 5

# Set Tolerance
 42.002  MATH         M[104] = 0.0019

# 48xx Setup
 42.003  M4805  RNGLK 10mA
 42.004  4805         -10mA                                             S  2W
 42.005  IEEE         [@4805]G1=
 42.006  CALL         Sub Wait

# Take Reading
 42.007  TARGET       -m
 42.008  CALL         Sub Datron 10xx Take Reading IEEE
 42.009  MEMCX        -10.0000mA     M104U


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 43.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 43.002  MATH         M[103] = 1e-3

# UUT Setup to 100uA Range
 43.003  RSLT         =
 43.004  RSLT         =100 mA Range
 43.005  IEEE         F5R5C1A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 43.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 43.007  MATH         M[104] = 0.002

# 48xx Setup
 43.008  M4805  RNGLK 100mA
 43.009  4805         0mA                                               S  2W
 43.010  IEEE         [@4805]G1=
 43.011  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 43.012  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 43.013  MATH         M[105]  = 25
 43.014  CALL         Sub Datron 10xx Input Zero IEEE
 43.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 43.016  IEEE         [D2000]

# Take Reading
 43.017  TARGET       -m
 43.018  CALL         Sub Datron 10xx Take Reading IEEE
 43.019  MEMCX        +0.000mA       M104U         


# ********************* +100mA Output ********************************

# Setup Registers      Delay Time
 44.001  MATH         M[255] = 10

# Set Tolerance
 44.002  MATH         M[104] = 0.019

# 48xx Setup
 44.003  M4805  RNGLK 100mA
 44.004  4805         100mA                                             S  2W
 44.005  IEEE         [@4805]G1=
 44.006  CALL         Sub Wait

# Take Reading
 44.007  TARGET       -m
 44.008  CALL         Sub Datron 10xx Take Reading IEEE
 44.009  MEMCX        100.000mA      M104U

# ********************* - 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 45.001  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 45.002  MATH         M[104] = 0.002

# 48xx Setup
 45.003  M4805  RNGLK 100mA
 45.004  4805         0mA                                         -Z    S  2W
 45.005  IEEE         [@4805]G1=
 45.006  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 45.007  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 45.008  MATH         M[105]  = 25
 45.009  CALL         Sub Datron 10xx Input Zero IEEE
 45.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 45.011  IEEE         [D2000]

# Take Reading
 45.012  TARGET       -m
 45.013  CALL         Sub Datron 10xx Take Reading IEEE
 45.014  MEMCX        -0.000mA       M104U         


# ********************* -100mA Output ********************************

# Setup Registers      Delay Time
 46.001  MATH         M[255] = 10

# Set Tolerance
 46.002  MATH         M[104] = 0.019

# 48xx Setup
 46.003  M4805  RNGLK 100mA
 46.004  4805         -100mA                                            S  2W
 46.005  IEEE         [@4805]G1=
 46.006  CALL         Sub Wait

# Take Reading
 46.007  TARGET       -m
 46.008  CALL         Sub Datron 10xx Take Reading IEEE
 46.009  MEMCX        -100.000mA     M104U


# ***************** 1000mA RANGE ****************

# Set String Registers:        Range          Units
 47.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 47.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 47.003  RSLT         =
 47.004  RSLT         =1000 mA Range
 47.005  IEEE         F5R6C1A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 47.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 47.007  MATH         M[104] = 0.02

# 48xx Setup
 47.008  M4805  RNGLK 1000mA
 47.009  4805         0mA                                               S  2W
 47.010  IEEE         [@4805]G1=
 47.011  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 47.012  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 47.013  MATH         M[105]  = 25
 47.014  CALL         Sub Datron 10xx Input Zero IEEE
 47.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 47.016  IEEE         [D2000]

# Take Reading
 47.017  TARGET       -m
 47.018  CALL         Sub Datron 10xx Take Reading IEEE
 47.019  MEMCX        +0.00mA        M104U         


# ********************* +1000mA Output ********************************

# Setup Registers      Delay Time
 48.001  MATH         M[255] = 15

# Set Tolerance
 48.002  MATH         M[104] = 0.34

# 48xx Setup
 48.003  M4805  RNGLK 1000mA
 48.004  4805         1000mA                                            S  2W
 48.005  IEEE         [@4805]G1=
 48.006  CALL         Sub Wait

# Take Reading
 48.007  TARGET       -m
 48.008  CALL         Sub Datron 10xx Take Reading IEEE
 48.009  MEMCX        1000.00mA      M104U

# ********************* - 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 49.001  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 49.002  MATH         M[104] = 0.02

# 48xx Setup
 49.003  M4805  RNGLK 1000mA
 49.004  4805         0mA                                         -Z    S  2W
 49.005  IEEE         [@4805]G1=
 49.006  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 49.007  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 49.008  MATH         M[105]  = 25
 49.009  CALL         Sub Datron 10xx Input Zero IEEE
 49.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 49.011  IEEE         [D2000]

# Take Reading
 49.012  TARGET       -m
 49.013  CALL         Sub Datron 10xx Take Reading IEEE
 49.014  MEMCX        -0.00mA        M104U         


# ********************* -1000mA Output ********************************

# Setup Registers      Delay Time
 50.001  MATH         M[255] = 15

# Set Tolerance
 50.002  MATH         M[104] = 0.34

# 48xx Setup
 50.003  M4805  RNGLK 1000mA
 50.004  4805         -1000mA                                           S  2W
 50.005  IEEE         [@4805]G1=
 50.006  CALL         Sub Wait

# Take Reading
 50.007  TARGET       -m
 50.008  CALL         Sub Datron 10xx Take Reading IEEE
 50.009  MEMCX        -1000.00mA     M104U


# Rest After High Voltage
 51.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 51.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 51.003  CALL         Sub Wait
 51.004  LABEL        SKIP_DCI


#**************************** AC CURRENT *******************************
#***********************************************************************
 51.005  JMPL         SKIP_ACI  CMPI ("AC Current (Option 30)",S[14]) != 1
 51.006  JMPL         SKIP_FMT_ACI  CMPI ("> 17",S[4]) == 1
 51.007  MATH         M[108] = 1E6
 51.008  LABEL        SKIP_FMT_ACI
 51.009  RSLT         =
 51.010  HEAD         {Function: AC Current}
 51.011  TARGET       -p


# Measurement Setup
 51.012  VSET         NTHROW = 1 NMEAS = 5
 51.013  4805         9e-5V                        500H                 S  2W


# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 51.014  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 51.015  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 51.016  RSLT         =
 51.017  RSLT         =100 uA Range
 51.018  IEEE         F4R2C1A0

# ********************* 100uA 500Hz Output ********************************

# Setup Registers      Delay Time
 51.019  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 51.020  MATH         M[104] = 0.35

# 48xx Setup
 51.021  M4805  RNGLK 100uA
 51.022  4805         100uA                        500H                 S  2W
 51.023  IEEE         [@4805]G1=
 51.024  CALL         Sub Wait

# Take Reading
 51.025  TARGET       -m
 51.026  CALL         Sub Datron 10xx Take Reading IEEE
 51.027  MEMCX        100.000uA      M104U         500H


# ***************** 1 mA RANGE ****************

# Set String Registers:        Range          Units
 52.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 52.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 52.003  RSLT         =
 52.004  RSLT         =1mA Range
 52.005  IEEE         F4R3C1A0

# ********************* 1mA 500Hz Output ********************************

# Setup Registers      Delay Time
 52.006  MATH         M[255] = 10

# Set Tolerance
 52.007  MATH         M[104] = 0.0035

# 48xx Setup
 52.008  M4805  RNGLK 1mA
 52.009  4805         1mA                          500H                 S  2W
 52.010  IEEE         [@4805]G1=
 52.011  CALL         Sub Wait

# Take Reading
 52.012  TARGET       -m
 52.013  CALL         Sub Datron 10xx Take Reading IEEE
 52.014  MEMCX        1.00000mA      M104U         500H


# ***************** 10 mA RANGE ****************

# Set String Registers:        Range          Units
 53.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 53.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 53.003  RSLT         =
 53.004  RSLT         =10mA Range
 53.005  IEEE         F4R4C1A0

# ********************* 10mA 500Hz Output ********************************

# Setup Registers      Delay Time
 53.006  MATH         M[255] = 10

# Set Tolerance
 53.007  MATH         M[104] = 0.035

# 48xx Setup
 53.008  M4805  RNGLK 10mA
 53.009  4805         10mA                         500H                 S  2W
 53.010  IEEE         [@4805]G1=
 53.011  CALL         Sub Wait

# Take Reading
 53.012  TARGET       -m
 53.013  CALL         Sub Datron 10xx Take Reading IEEE
 53.014  MEMCX        10.0000mA      M104U         500H


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 54.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 54.002  MATH         M[103] = 1e-3

# UUT Setup to 100mA Range
 54.003  RSLT         =
 54.004  RSLT         =100mA Range
 54.005  IEEE         F4R5C1A0

# ********************* 100mA 500Hz Output ********************************

# Setup Registers      Delay Time
 54.006  MATH         M[255] = 15

# Set Tolerance
 54.007  MATH         M[104] = 0.35

# 48xx Setup
 54.008  M4805  RNGLK 100mA
 54.009  4805         100mA                        500H                 S  2W
 54.010  IEEE         [@4805]G1=
 54.011  CALL         Sub Wait

# Take Reading
 54.012  TARGET       -m
 54.013  CALL         Sub Datron 10xx Take Reading IEEE
 54.014  MEMCX        100.000mA      M104U         500H


# ***************** 1000 mA RANGE ****************

# Set String Registers:        Range          Units
 55.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 55.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 55.003  RSLT         =
 55.004  RSLT         =1000mA Range
 55.005  IEEE         F4R6C1A0

# ********************* 1000mA 500Hz Output ********************************

# Setup Registers      Delay Time
 55.006  MATH         M[255] = 20

# Set Tolerance
 55.007  MATH         M[104] = 3.5

# 48xx Setup
 55.008  M4805  RNGLK 1000mA
 55.009  4805         1000mA                       500H                 S  2W
 55.010  IEEE         [@4805]G1=
 55.011  CALL         Sub Wait

# Take Reading
 55.012  TARGET       -m
 55.013  CALL         Sub Datron 10xx Take Reading IEEE
 55.014  MEMCX        1000.00mA      M104U         500H


# Rest After High Voltage
 56.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 56.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 56.003  CALL         Sub Wait

 56.004  LABEL        SKIP_ACI

#**************************** RESISTANCE *******************************
#***********************************************************************
 56.005  JMPL         SKIP_RES  CMPI ("Resistance (Option 20)",S[12]) != 1

 56.006  RSLT         =
 56.007  HEAD         {Function: Resistance}
 56.008  TARGET       -p

# Measurement Setup
 56.009  VSET         NTHROW = 1 NMEAS = 5

# ***************** 10 Ohm RANGE ****************

# Set String Registers:        Range          Units
 56.010  MATH         S[2] = "10" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 56.011  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 10 Ohm Range
 56.012  RSLT         =
 56.013  RSLT         =10 Ohm Range
 56.014  IEEE         F1R1C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 56.015  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 56.016  MATH         M[104] = 0.0002

# 48xx Setup
 56.017  M4805        *
 56.018  4805         0Z                                                S  4W
 56.019  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 56.020  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 56.021  MATH         M[105]  = 25
 56.022  CALL         Sub Datron 10xx Input Zero IEEE
 56.023  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 56.024  IEEE         [D2000]

# Take Reading
 56.025  TARGET       -m
 56.026  CALL         Sub Datron 10xx Take Reading IEEE
 56.027  MEMCX        +0.000Z        M104U         


# ********************* 10 Ohm Output ********************************

# Setup Registers      Delay Time
 57.001  MATH         M[255] = 5

# Set Tolerance
 57.002  MATH         M[104] = 0.0005

# 48xx Setup
 57.003  4805         10Z                                               S  4W
 57.004  CALL         Sub Wait

# Take Reading
 57.005  TARGET       -m
 57.006  CALL         Sub Datron 10xx Take Reading IEEE
 57.007  MEMCX  10    Z              M104U         

# ***************** 100 Ohm RANGE ****************

# Set String Registers:        Range          Units
 58.001  MATH         S[2] = "100" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 58.002  MATH         M[103] = 1

# UUT Setup to 10 Ohm Range
 58.003  RSLT         =
 58.004  RSLT         =100 Ohm Range
 58.005  IEEE         F1R2C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 58.006  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 58.007  MATH         M[104] = 0.002

# 48xx Setup
 58.008  M4805        *
 58.009  4805         0Z                                                S  4W
 58.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 58.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 58.012  MATH         M[105]  = 25
 58.013  CALL         Sub Datron 10xx Input Zero IEEE
 58.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 58.015  IEEE         [D2000]

# Take Reading
 58.016  TARGET       -m
 58.017  CALL         Sub Datron 10xx Take Reading IEEE
 58.018  MEMCX        +0.000Z        M104U         



# ********************* 100Ohm Output ********************************

# Setup Registers      Delay Time
 59.001  MATH         M[255] = 5

# Set Tolerance
 59.002  MATH         M[104] = 0.0036

# 48xx Setup
 59.003  4805         100Z                                              S  4W
 59.004  CALL         Sub Wait

# Take Reading
 59.005  TARGET       -m
 59.006  CALL         Sub Datron 10xx Take Reading IEEE
 59.007  MEMCX        Z              M104U         



# ***************** 1 kOhm RANGE ****************

# Set String Registers:        Range          Units
 60.001  MATH         S[2] = "1" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 60.002  MATH         M[103] = 1e3

# UUT Setup to 1 kOhm Range
 60.003  RSLT         =
 60.004  RSLT         =1 kOhm Range
 60.005  IEEE         F1R3C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 60.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 60.007  MATH         M[104] = 0.00002

# 48xx Setup
 60.008  M4805        *
 60.009  4805         0kZ                                               S  4W
 60.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 60.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 60.012  MATH         M[105]  = 25
 60.013  CALL         Sub Datron 10xx Input Zero IEEE
 60.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 60.015  IEEE         [D2000]

# Take Reading
 60.016  TARGET       -m
 60.017  CALL         Sub Datron 10xx Take Reading IEEE
 60.018  MEMCX        +0.00000kZ     M104U         



# ********************* 1kOhm Output ********************************

# Setup Registers      Delay Time
 61.001  MATH         M[255] = 5

# Set Tolerance
 61.002  MATH         M[104] = 0.000036

# 48xx Setup
 61.003  4805         1kZ                                               S  4W
 61.004  CALL         Sub Wait

# Take Reading
 61.005  TARGET       -m
 61.006  CALL         Sub Datron 10xx Take Reading IEEE
 61.007  MEMCX        kZ             M104U         



# ***************** 10 kOhm RANGE ****************

# Set String Registers:        Range          Units
 62.001  MATH         S[2] = "10" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 62.002  MATH         M[103] = 1e3

# UUT Setup to 10 kOhm Range
 62.003  RSLT         =
 62.004  RSLT         =10 kOhm Range
 62.005  IEEE         F1R4C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 62.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 62.007  MATH         M[104] = 0.0002

# 48xx Setup
 62.008  M4805        *
 62.009  4805         0kZ                                               S  4W
 62.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 62.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 62.012  MATH         M[105]  = 25
 62.013  CALL         Sub Datron 10xx Input Zero IEEE
 62.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 62.015  IEEE         [D2000]

# Take Reading
 62.016  TARGET       -m
 62.017  CALL         Sub Datron 10xx Take Reading IEEE
 62.018  MEMCX        +00.0000kZ     M104U         



# ********************* 10kOhm Output ********************************

# Setup Registers      Delay Time
 63.001  MATH         M[255] = 5

# Set Tolerance
 63.002  MATH         M[104] = 0.00036

# 48xx Setup
 63.003  4805         10kZ                                              S  4W
 63.004  CALL         Sub Wait

# Take Reading
 63.005  TARGET       -m
 63.006  CALL         Sub Datron 10xx Take Reading IEEE
 63.007  MEMCX        kZ             M104U         



# ***************** 100 kOhm RANGE ****************

# Set String Registers:        Range          Units
 64.001  MATH         S[2] = "100" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 64.002  MATH         M[103] = 1e3

# UUT Setup to 100 kOhm Range
 64.003  RSLT         =
 64.004  RSLT         =100 kOhm Range
 64.005  IEEE         F1R5C1A2

# *********************  0 kOhm Output ********************************

# Setup Registers      Delay Time      Message
 64.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 64.007  MATH         M[104] = 0.002

# 48xx Setup
 64.008  M4805        *
 64.009  4805         0kZ                                               S  4W
 64.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 64.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 64.012  MATH         M[105]  = 25
 64.013  CALL         Sub Datron 10xx Input Zero IEEE
 64.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 64.015  IEEE         [D2000]

# Take Reading
 64.016  TARGET       -m
 64.017  CALL         Sub Datron 10xx Take Reading IEEE
 64.018  MEMCX        +0.000kZ       M104U         



# ********************* 100kOhm Output ********************************

# Setup Registers      Delay Time
 65.001  MATH         M[255] = 5

# Set Tolerance
 65.002  MATH         M[104] = 0.0046

# 48xx Setup
 65.003  4805         100kZ                                             S  4W
 65.004  CALL         Sub Wait

# Take Reading
 65.005  TARGET       -m
 65.006  CALL         Sub Datron 10xx Take Reading IEEE
 65.007  MEMCX        kZ             M104U         



# ***************** 1000 kOhm RANGE ****************

# Set String Registers:        Range          Units
 66.001  MATH         S[2] = "1000" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 66.002  MATH         M[103] = 1e3

# UUT Setup to 1000 kOhm Range
 66.003  RSLT         =
 66.004  RSLT         =1000 kOhm Range
 66.005  IEEE         F1R6C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 66.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 66.007  MATH         M[104] = 0.02

# 48xx Setup
 66.008  M4805        *
 66.009  4805         0kZ                                               S  4W
 66.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 66.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 66.012  MATH         M[105]  = 25
 66.013  CALL         Sub Datron 10xx Input Zero IEEE
 66.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 66.015  IEEE         [D2000]

# Take Reading
 66.016  TARGET       -m
 66.017  CALL         Sub Datron 10xx Take Reading IEEE
 66.018  MEMCX        +0.000kZ       M104U         



# ********************* 1000kOhm Output ********************************

# Setup Registers      Delay Time
 67.001  MATH         M[255] = 10

# Set Tolerance
 67.002  MATH         M[104] = 0.126

# 48xx Setup
 67.003  4805         1000kZ                                            S  4W
 67.004  CALL         Sub Wait

# Take Reading
 67.005  TARGET       -m
 67.006  CALL         Sub Datron 10xx Take Reading IEEE
 67.007  MEMCX        kZ             M104U         



# ***************** 10 MOhm RANGE ****************

# Set String Registers:        Range          Units
 68.001  MATH         S[2] = "10" ; S[3]  = "MOhm"

# Set Numeric Register:  Units
 68.002  MATH         M[103] = 1e6

# UUT Setup to 10 MOhm Range
 68.003  RSLT         =
 68.004  RSLT         =10 MOhm Range
 68.005  IEEE         F1R7C1A2

# *********************  0 MOhm Output ********************************

# Setup Registers      Delay Time      Message
 68.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 68.007  MATH         M[104] = 0.0002

# 48xx Setup
 68.008  M4805        *
 68.009  4805         0MZ                                               S  4W
 68.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 68.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 68.012  MATH         M[105]  = 25
 68.013  CALL         Sub Datron 10xx Input Zero IEEE
 68.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 68.015  IEEE         [D2000]

# Take Reading
 68.016  TARGET       -m
 68.017  CALL         Sub Datron 10xx Take Reading IEEE
 68.018  MEMCX        +0.0000MZ      M104U         



# ********************* 10MOhm Output ********************************

# Setup Registers      Delay Time
 69.001  MATH         M[255] = 5

# Set Tolerance
 69.002  MATH         M[104] = 0.00366

# 48xx Setup
 69.003  4805         10MZ                                              S  4W
 69.004  CALL         Sub Wait

# Take Reading
 69.005  TARGET       -m
 69.006  CALL         Sub Datron 10xx Take Reading IEEE
 69.007  MEMCX        MZ             M104U         


# Rest After High Voltage
 70.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 70.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 70.003  CALL         Sub Wait


 70.004  LABEL        SKIP_RES
 70.005  LABEL        END
 70.006  END
