﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Datron 10xx Input Zero IEEE
DATE:                  2002-12-06
AUTHOR:                Fluke
REVISION:              $Revision: 18786 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       80
=============================================================================
#
# 
#  Models covered:  1071/1061/1061/A
# 
#  Source:          Users Handbook
#                   Part Number 850040
#                   Issue 11 (OCT.1986)
# 
#  Compatibility:   MET/CAL 6.11A or later
# 
#  Subprocedures:   Sub Datron 10xx Take Reading IEEE
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
# 
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
# 
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
# 
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# UUT Setup Input Zero

# Set Register:      Tight Tol.Count
  1.001  MATH         M[101] = 0

  1.002  LABEL        Retry_To_Tight_Spec
  1.003  MATH         M[101] = M[101] + 1
  1.004  JMPL         END                          M[101] == 4
  1.005  IEEE         Z
  1.006  IEEE         [SRQ15000,192]
  1.007  IEEE         [I]

# Reset Registers
  1.008  MATH         M[1] = 0 ; M[3] = 0 ; M[4] = 0
  1.009  LABEL        TARGET

# Increment Readings Counter
  1.010  MATH         M[1] = M[1] + 1

# Take Reading
  1.011  CALL         Sub Datron 10xx Take Reading IEEE

# Skip the Discards
  1.012  JMPL         TARGET  M[1] <= M[2]

# Calculate Average into M[4]
  1.013  MATH         M[3] = M[3] + MEM
  1.014  MATH         M[4] = M[3] / (M[1] - M[2])

# Repeat Reading until Average Requirement is met
  1.015  JMPL         TARGET  M[10] > (M[1] - M[2])

# Calculate Tight Limit
  1.016  MATH         M[107] = (MEM1 + (M[104]*(M[105]/100)))
  1.017  MATH         M[4] =  ABS(M[4])
  1.018  JMPL         Retry_To_Tight_Spec          M[4] > M[107]

  1.019  LABEL        END
  1.020  END
